<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/translate_aim_attributes_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>:Info: translate_aim_attributes_:  1983-01-24  translate_aim_attributes_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in translate_aim_attributes_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: translate_aim_attributes_: 1983-01-19  translate_aim_attributes_
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: translates the AIM attributes in an authorization or access
<span id="L12" class="LineNr">12 </span>class from one system's defintion to another system's definition if
<span id="L13" class="LineNr">13 </span>possible.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>declare translate_aim_attributes_ entry <span class="textRainbow_lv0_p0">(</span>ptr<span class="textRainbow_lv0_o0">,</span> bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     bit<span class="textRainbow_lv1_p0">(</span>72<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> fixed bin<span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call translate_aim_attributes_ <span class="textRainbow_lv0_p0">(</span>source_aim_attributes_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L20" class="LineNr">20 </span>     source_authorization<span class="textRainbow_lv0_o0">,</span> target_aim_attributes_ptr<span class="textRainbow_lv0_o0">,</span>
<span id="L21" class="LineNr">21 </span>     target_aim_authorization<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L22" class="LineNr">22 </span>
<span id="L23" class="LineNr">23 </span>
<span id="L24" class="LineNr">24 </span>Arguments:
<span id="L25" class="LineNr">25 </span>source_aim_attributes_ptr
<span id="L26" class="LineNr">26 </span>   is a pointer to the aim_attributes structure defining the AIM
<span id="L27" class="LineNr">27 </span>   attributes of the source system.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span> This structure is declared
<span id="L28" class="LineNr">28 </span>   in aim_attributes.incl.pl1.
<span id="L29" class="LineNr">29 </span>source_aim_authorization
<span id="L30" class="LineNr">30 </span>   is the access class or authorization expressed to be translated to
<span id="L31" class="LineNr">31 </span>   the equivalent value on the target system.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L32" class="LineNr">32 </span>target_aim_attributes_ptr
<span id="L33" class="LineNr">33 </span>   is a pointer to the aim_attributes structure defining the AIM
<span id="L34" class="LineNr">34 </span>   attributes of the target system.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr">35 </span>target_aim_authorization
<span id="L36" class="LineNr">36 </span>   is set to the access class or authorization on the target system
<span id="L37" class="LineNr">37 </span>   which is equivalent to the value given on the source system.
<span id="L38" class="LineNr">38 </span>   <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span>
<span id="L41" class="LineNr">41 </span>code
<span id="L42" class="LineNr">42 </span>   is a standard system status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can be one of the
<span id="L43" class="LineNr">43 </span>   following:
<span id="L44" class="LineNr">44 </span>   0
<span id="L45" class="LineNr">45 </span>      the authorization or access class was successfully translated.
<span id="L46" class="LineNr">46 </span>   error_table_$unimplemented_version
<span id="L47" class="LineNr">47 </span>      one of the aim_attributes structures supplied by the caller was
<span id="L48" class="LineNr">48 </span>      of a version not supported by this procedure.
<span id="L49" class="LineNr">49 </span>   error_table_$ai_no_common_max
<span id="L50" class="LineNr">50 </span>      there is no set of AIM attributes in common between the two
<span id="L51" class="LineNr">51 </span>      systems.
<span id="L52" class="LineNr">52 </span>   error_table_$ai_outside_common_range
<span id="L53" class="LineNr">53 </span>      the source access class or authorization is not less than or
<span id="L54" class="LineNr">54 </span>      equal to the common access class ceiling between the two systems.
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>
<span id="L57" class="LineNr">57 </span>Notes: See the description of the get_system_aim_attributes_
<span id="L58" class="LineNr">58 </span>subroutine for a definition of the aim_attributes structure.
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>The translation of AIM attributes can only be performed for an
<span id="L61" class="LineNr">61 </span>authorization or access class that is less than or equal to the common
<span id="L62" class="LineNr">62 </span>access ceiling between the two systems.  See the Programmers' Reference
<span id="L63" class="LineNr">63 </span>Manual for a definition of common access ceiling.
<span id="L64" class="LineNr">64 </span>
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>:hcom:
<span id="L67" class="LineNr">67 </span>
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>
<span id="L70" class="LineNr">70 </span>/****^  HISTORY COMMENTS:
<span id="L71" class="LineNr">71 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-05-19<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L72" class="LineNr">72 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L73" class="LineNr">73 </span>     Fix info seg format errors and typos found by verify_info.
<span id="L74" class="LineNr">74 </span>                                                   END HISTORY COMMENTS */
<span id="L75" class="LineNr">75 </span>
<span id="L76" class="LineNr">76 </span>
<span id="L77" class="LineNr">77 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
